Loading...
Searching...
No Matches
LISP Struct Reference
Collaboration diagram for LISP:
[legend]

## Public Attributes

union { |
struct { |
struct obj * car |
struct obj * cdr |
} cons
struct { |
double data |
} flonum
struct { |
const char * pname |
struct obj * vcell |
} symbol
struct { |
const char * name |
struct obj *(* f )(void) |
} subr0
struct { |
const char * name |
struct obj *(* f )(struct obj *) |
} subr1
struct { |
const char * name |
struct obj *(* f )(struct obj *, struct obj *) |
} subr2
struct { |
const char * name |
struct obj *(* f )(struct obj *, struct obj *, struct obj *) |
} subr3
struct { |
const char * name |
struct obj *(* f )(struct obj *, struct obj *, struct obj *, struct obj *) |
} subr4
struct { |
const char * name |
struct obj *(* f )(struct obj **, struct obj **) |
} subrm
struct { |
const char * name |
struct obj *(* f )(void *,...) |
} subr
struct { |
struct obj * env |
struct obj * code |
} closure
struct { |
long dim |
long * data |
} long_array
struct { |
long dim |
double * data |
} double_array
struct { |
long dim |
char * data |
} string
struct { |
long dim |
struct obj ** data |
} lisp_array
struct { |
FILE * f |
char * name |
} c_file
struct { |
EST_Val * v |
} val
struct { |
void * p |
} user
} | storage_as
char * | pname
short | gc_mark
short | type

## Detailed Description

Definition at line 30 of file siod_defs.h.

## Member Data Documentation

## car

struct obj* LISP::car

Definition at line 31 of file siod_defs.h.

## cdr

struct obj* LISP::cdr

Definition at line 32 of file siod_defs.h.

## data [1/5]

double LISP::data

Definition at line 33 of file siod_defs.h.

## pname [1/2]

const char* LISP::pname

Definition at line 34 of file siod_defs.h.

## vcell

struct obj* LISP::vcell

Definition at line 35 of file siod_defs.h.

## name [1/2]

const char* LISP::name

Definition at line 36 of file siod_defs.h.

## f [1/2]

struct obj *(* LISP::f) (void *,...)

Definition at line 36 of file siod_defs.h.

## env

struct obj* LISP::env

Definition at line 53 of file siod_defs.h.

## code

struct obj* LISP::code

Definition at line 54 of file siod_defs.h.

## dim

long LISP::dim

Definition at line 55 of file siod_defs.h.

## data [2/5]

long* LISP::data

Definition at line 56 of file siod_defs.h.

## data [3/5]

double* LISP::data

Definition at line 58 of file siod_defs.h.

## data [4/5]

char* LISP::data

Definition at line 60 of file siod_defs.h.

## data [5/5]

struct obj** LISP::data

Definition at line 62 of file siod_defs.h.

## f [2/2]

FILE* LISP::f

Definition at line 63 of file siod_defs.h.

## name [2/2]

char* LISP::name

Definition at line 64 of file siod_defs.h.

## v

EST_Val* LISP::v

Definition at line 65 of file siod_defs.h.

## p

void* LISP::p

Definition at line 66 of file siod_defs.h.

## pname [2/2]

char* LISP::pname

Definition at line 69 of file siod_defs.h.

## gc_mark

short LISP::gc_mark

Definition at line 70 of file siod_defs.h.

## type

short LISP::type

Definition at line 71 of file siod_defs.h.

The documentation for this struct was generated from the following file:

- include/siod_defs.h